async function validate(event) {
    event.preventDefault();

    const form = event.target.closest('form'); 

    const formData = new FormData(form);
    const insta_username = formData.get("insta-username");
    
    if (!insta_username || insta_username.trim() === "") {
        Swal.fire({
            title: 'Erreur',
            text: 'Veuillez entrer un nom d’utilisateur Instagram.',
            icon: 'error',
            confirmButtonText: 'OK',
        });
        return; 
    }

    try {
        Swal.fire({
            title: 'CLIASO',
            html: `<p>Veuillez patienter pendant que nous traitons et sauvegardons le paramétrage du profil <b>"${insta_username}"</b>. Ce processus peut prendre quelques temps.</p>`,
            allowOutsideClick: false,
            didOpen: async () => {
                Swal.showLoading();

                const response = await fetch('/treatment', {
                    method: 'POST',
                    body: formData, 
                });

                const result = await response.json();

                if (!result.success) {
                    throw new Error(result.message);        
                }

                Swal.close();
                window.location.href = '/dashboard';
            },
        });
    } catch (error) {
        Swal.fire({
            title: 'Erreur',
            text: `Une erreur est survenue : ${error.message}`,
            icon: 'error',
        });
    }
}
